import { message } from "antd/lib/index";
import { getPropertyData, extendInclude, extendRule, getDataFieldValue, setDataFieldValue, initFilter, empty, onBeforeSaveHandleRecordLog } from "../../utils/common";
import { connect } from 'dva';
/**
 * @return {string}
 */
// 编辑  制定任务
export default {
  onBeforeSaveHandleRecord(params) {
    params.record.TaskID = params.data.TaskID    //TaskID传递消息表ID
    params.record.STATUS = params.customParams;
    onBeforeSaveHandleRecordLog(params, 'SC032_2', '前端日志')
  },
  onBeforeEdit: ({ isNew, dispatch, stateData, setFieldVisible, setFieldValue, setFieldValueByBatch, setFieldEditable, login }) => {
    if (stateData.Nav_Meeting.MEETINGTYPE != '30') {
      setFieldVisible("Nav_ListPReview", false);
    }
  },
}